Skip to main content
PUT
/
v1
/
agents
/
{agentId}
/
real-time-configs
/
{clientEnv}
/
schema
Upsert the JSON Schema for a config page
curl --request PUT \
  --url https://api.us.poly.ai/v1/agents/{agentId}/real-time-configs/{clientEnv}/schema \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "schema": {}
}'
{
  "clientEnv": "<string>",
  "variables": {},
  "schema": {},
  "lastUpdated": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required
clientEnv
string
required

Body

application/json

The JSON Schema definition to apply to a config page.

schema
object
required

JSON Schema (Draft 7) definition

Response

Successful response

A single config page for one environment.

clientEnv
string
required

Environment (sandbox, pre-release, live)

variables
object

Config key-value pairs

schema
object

JSON Schema (Draft 7) definition

lastUpdated
string

ISO 8601 timestamp of last update

Last modified on April 22, 2026